HEADM adc 2 2 "ext/oscSwitch2-out" "ext/oscSwitch2-out" ChebyshevLab "" 9 main-obj MathMenu-obj TrimMenu2-obj menupage-obj TrimMenu-obj oscmenu-obj cmenu-obj gmenu-obj info-obj ;=0,0,80,0
TEXTBLOCK info 9 "A Chebyshev polynomial wave shape" "tool.  Uses discrete math modules" "to compute the first 6 Chebyshev" "polynomials.  Combine the outputs" "in M(n) to create an unusual kind of" "distortion. Trim(n) is used to fine" "tune the math with the internal" "sine wave oscillator." "Summed in/Mono out." ;=3475,475,80,0
MENUPAGE main select main 7 ExtOscKnob-obj ExtLvlKnob-obj ShapeOnKnob-obj MShapeKnob-obj MDriveKnob-obj MathLvlKnob-obj OutLvlKnob-obj ;=3275,549,80,0
MENUPAGE MathMenu "math params" M(n) 10 m1Knob-obj m2Knob-obj m3Knob-obj m4Knob-obj scope1-display_obj m5Knob-obj m6Knob-obj FluxKnob-obj MDriveKnob-obj scope1-display_obj ;=3025,900,80,0
MENUPAGE TrimMenu "trim params" trim(n) 10 CurveKnob-obj M1TrimKnob-obj M2TrimKnob-obj M3TrimKnob-obj scope1-display_obj CurveKnob-obj M4TrimKnob-obj M5TrimKnob-obj M6TrimKnob-obj scope1-display_obj ;=3150,1075,80,0
MENUPAGE TrimMenu2 "trim params" spec(n) 5 CurveKnob-obj OscTrimKnob-obj MDriveKnob-obj textline-obj spectrum-display_obj ;=3275,725,80,0
TEXTLINE textline "" ;=3150,775,80,0
MENUPAGE menupage "scope view" scopes 10 ExtOscKnob-obj ShapeOnKnob-obj MShapeKnob-obj CurveKnob-obj scope1-display_obj ShapeOnKnob-obj MDriveKnob-obj MShapeKnob-obj CurveKnob-obj spectrum-display_obj ;=3400,875,80,0
MENUPAGE gmenu "gate params" gate 4 gth-obj gatt-obj gdcy-obj ghys-obj ;=3275,375,80,0
KNOB gth "thresh:  %4.0f dB" "" -100 0 1 -36 ;=3025,350,80,0
KNOB gatt "attack: %1.3f sec" "" 0 3 0.001 0.005 ;=3025,200,80,0
KNOB gdcy "decay : %1.3f sec" "" 0 3 0.001 1.2 ;=3025,275,80,0
KNOB ghys "hyster:  %4.0f dB" "" 0 20 1 6 ;=3025,425,80,0
MENUPAGE cmenu "comp params" comp 6 ThreshKnob-obj CmpGainKnob-obj AttkKnob-obj DecayKnob-obj RatioKnob-obj cmon1-obj ;=425,625,80,0
KNOB ThreshKnob "thresh : %4.0f dB" "" -80 0 1 -25 ;=50,275,80,0
KNOB RatioKnob "ratio:   %3.0f:1" "" 1 100 1 4 ;=50,350,80,0
KNOB CmpGainKnob "cmpGain: %4.0f dB" "" 0 24 1 5 ;=50,425,80,0
KNOB AttkKnob "attack :%3.3f sec" "" 0 10 0.001 0.001 ;=50,500,80,0
KNOB DecayKnob "decay  :%3.3f sec" "" 0 10 0.001 0.4 ;=50,575,80,0
ADD l+r adc-in1 adc-in2 ;=125,25,80,0
COMPRESSOR comp l+r-out comp-out ThreshKnob-out 0 RatioKnob-out CmpGainKnob-out AttkKnob-out DecayKnob-out ;=225,75,80,0
KNOB ExtLvlKnob "extLvl:%3.0f dB" "" -24 48 1 10 ;=250,275,80,0
GAIN ExtDrive comp-out ExtLvlKnob-out ;=375,75,80,0
TEXTKNOB ExtOscKnob "signal: %s" textknob 2 0 external oscillator ;=375,225,80,0
ISWITCH "ext/oscSwitch1" 2 ExtOscKnob-out ExtDrive-out OscTrim-out ;=550,75,80,0
KNOB MDriveKnob "mathDrv: %4.1f dB" "" -24 48 0.1 0 ;=725,300,80,0
GAIN MathDrive "ext/oscSwitch1-out" MDriveKnob-out ;=925,275,80,0
IIR m1LowCut MathDrive-out 1 40 1 1 ;=1225,275,80,0
HIGHCUT m1HiCut m1LowCut-out 2000 ;=1325,275,80,0
KNOB M1TrimKnob "trim1: %4.1f dB" "" -24 48 0.1 -0.0022 ;=1450,300,80,0
GAIN M1outTrim m1HiCut-out M1TrimKnob-out ;=1550,275,80,0
KNOB m1Knob "m(1): %3.2f" knob 0 1 0.01 0.7996 ;=1749,300,80,0
C_FLTR_A c_fltr_a1 0 m1Knob-out ;=1850,300,80,0
MULTIPLY m(1) M1outTrim-out c_fltr_a1-out ;=1950,275,80,0
ADD 2x M1outTrim-out M1outTrim-out ;=725,400,80,0
MULTIPLY 2xM(1) 2x-out M1outTrim-out ;=925,400,80,0
CONSTANT one 0 ;=1025,425,80,0
SUBTRACT minusOne 2xM(1)-out one-out ;=1125,400,80,0
IIR m2LowCut minusOne-out 1 40 1 1 ;=1225,400,80,0
HIGHCUT m2HiCut m2LowCut-out 2000 ;=1325,400,80,0
KNOB M2TrimKnob "trim2: %4.1f dB" "" -24 48 0.1 5.6995 ;=1450,425,80,0
GAIN M2outTrim m2HiCut-out M2TrimKnob-out ;=1550,400,80,0
KNOB m2Knob "m(2): %3.2f" knob 0 1 0.01 0.1999 ;=1749,425,80,0
C_FLTR_A c_fltr_a2 0 m2Knob-out ;=1850,425,80,0
MULTIPLY m(2) M2outTrim-out c_fltr_a2-out ;=1950,400,80,0
MULTIPLY 2xM(2) 2x-out M2outTrim-out ;=925,525,80,0
SUBTRACT minusM(1) 2xM(2)-out M1outTrim-out ;=1125,525,80,0
IIR m3LowCut minusM(1)-out 1 40 1 1 ;=1225,525,80,0
HIGHCUT m3HiCut m3LowCut-out 3000 ;=1325,525,80,0
KNOB M3TrimKnob "trim3: %4.1f dB" "" -24 48 0.1 0.9 ;=1450,550,80,0
GAIN M3outTrim m3HiCut-out M3TrimKnob-out ;=1550,525,80,0
KNOB m3Knob "m(3): %3.2f" knob 0 1 0.01 0.4997 ;=1749,550,80,0
C_FLTR_A c_fltr_a3 0 m3Knob-out ;=1850,550,80,0
MULTIPLY m(3) M3outTrim-out c_fltr_a3-out ;=1950,525,80,0
MULTIPLY 2xM(3) 2x-out M3outTrim-out ;=925,650,80,0
SUBTRACT minusM(2) 2xM(3)-out M2outTrim-out ;=1125,650,80,0
IIR m4LowCut minusM(2)-out 1 40 1 1 ;=1225,650,80,0
HIGHCUT m4HiCut m4LowCut-out 4000 ;=1325,650,80,0
KNOB M4TrimKnob "trim4: %4.1f dB" "" -24 48 0.1 -1.3022 ;=1450,675,80,0
GAIN M4outTrim m4HiCut-out M4TrimKnob-out ;=1550,650,80,0
KNOB m4Knob "m(4): %3.2f" knob 0 1 0.01 0.0999 ;=1749,675,80,0
C_FLTR_A c_fltr_a4 0 m4Knob-out ;=1850,675,80,0
MULTIPLY m(4) M4outTrim-out c_fltr_a4-out ;=1950,650,80,0
MULTIPLY 2xM(4) 2x-out M4outTrim-out ;=925,775,80,0
SUBTRACT minusM(3) 2xM(4)-out M3outTrim-out ;=1125,775,80,0
IIR m5LowCut minusM(3)-out 1 40 1 1 ;=1225,775,80,0
HIGHCUT m5HiCut m5LowCut-out 5000 ;=1325,775,80,0
KNOB M5TrimKnob "trim5: %4.1f dB" "" -24 48 0.1 -0.4999 ;=1450,800,80,0
GAIN M5outTrim m5HiCut-out M5TrimKnob-out ;=1550,775,80,0
KNOB m5Knob "m(5): %3.2f" knob 0 1 0.01 0.1499 ;=1750,800,80,0
C_FLTR_A c_fltr_a5 0 m5Knob-out ;=1850,800,80,0
MULTIPLY m(5) M5outTrim-out c_fltr_a5-out ;=1950,775,80,0
MULTIPLY 2xM(5) 2x-out M5outTrim-out ;=925,900,80,0
SUBTRACT minusM(4) 2xM(5)-out M4outTrim-out ;=1125,900,80,0
IIR m6LowCut minusM(4)-out 1 40 1 1 ;=1225,900,80,0
HIGHCUT m6HiCut m6LowCut-out 6000 ;=1325,900,80,0
KNOB M6TrimKnob "trim6: %4.1f dB" "" -24 48 0.1 -0.4998 ;=1450,925,80,0
GAIN M6outTrim m6HiCut-out M6TrimKnob-out ;=1550,900,80,0
KNOB m6Knob "m(6): %3.2f" knob 0 1 0.01 0.0999 ;=1750,925,80,0
C_FLTR_A c_fltr_a6 0 m6Knob-out ;=1850,925,80,0
MULTIPLY m(6) M6outTrim-out c_fltr_a6-out ;=1950,900,80,0
TEXTKNOB CurveKnob "   curve (%s)" textknob 6 0 1 2 3 4 5 6 ;=1850,200,80,0
ISWITCH MathSwitch 6 CurveKnob-out M1outTrim-out M2outTrim-out M3outTrim-out M4outTrim-out M5outTrim-out M6outTrim-out ;=1750,150,80,0
ADDER MathAdder 6 m(1)-out m(2)-out m(3)-out m(4)-out m(5)-out m(6)-out ;=2150,175,80,0
TEXTKNOB MShapeKnob "shape: %s" textknob 2 1 (n) sums ;=2250,225,80,0
ISWITCH MSelectSwitch 2 MShapeKnob-out MathSwitch-out MathAdder-out ;=2375,75,80,0
KNOB FluxKnob "flux1 :  %5.2f ms" "" 0 99 0.01 0.1599 ;=2375,225,80,0
SLEW slew9 MSelectSwitch-out FluxKnob-out FluxKnob-out ;=2500,75,80,0
HIGHCUT highcut slew9-out 7000 ;=2625,75,80,0
KNOB MathLvlKnob "mathLvl:%3.0f   dB" "" -24 48 1 0 ;=2500,225,80,0
GAIN gain1 highcut-out MathLvlKnob-out ;=2750,75,80,0
TEXTKNOB ShapeOnKnob "wave shape %s" "wave shap" 2 1 off on ;=2700,200,80,0
ISWITCH distSwitch 2 ShapeOnKnob-out "ext/oscSwitch1-out" gain1-out ;=2875,25,80,0
KNOB OutLvlKnob "outLvl :%3.0f   dB" "" -24 48 1 0 ;=2700,300,80,0
GAIN gain distSwitch-out OutLvlKnob-out ;=3025,125,80,0
GATE2 gate1 gain-out l+r-out gatt-out gdcy-out gth-out ghys-out 0.05 ;=3200,100,80,0
ISWITCH "ext/oscSwitch2" 2 ExtOscKnob-out gate1-out distSwitch-out ;=3400,25,80,0
A_TO_C c_c1 comp-loggain ;=100,700,80,0
C_MULTIPLY mirror1 c_c1-out -1 ;=200,700,80,0
HMONITOR cmon1 mirror1-out 0 0.33 "meter 1" "gr   :" ;=300,700,80,0
KNOB C1TrimKnob3 "trim1: %4.1f dB" "" -24 48 0.1 0 ;=1825,-700,80,0
GAIN C1Trim3 adc-null C1TrimKnob3-out ;=1925,-775,80,0
MENUPAGE oscmenu "oscillator parms" "  osc" 8 OscTrimKnob-obj freq-obj mod-obj wave-obj duty-obj sweepfreq-obj sweepwave-obj sweepduty-obj ;=550,1075,80,0
KNOB sweepfreq "fm rate : %6.1f Hz" "" 0 1000 0.1 219.9906 ;=75,875,80,0
TEXTKNOB sweepwave "fm shape:  %s" "" 4 0 sine triangle square peak ;=75,950,80,0
PERCENTKNOB sweepduty "fm duty :   %4.0f %%" "" 0 100 1 50 ;=75,1025,80,0
KNOB freq "freq : %5.0f Hz" freq 0 20000 1 110 ;=75,1125,80,0
KNOB mod "fmod : %5.0f Hz" "" 0 20000 1 0 ;=75,1200,80,0
TEXTKNOB wave "shape:  %s" "" 3 0 sine triangle square ;=75,1275,80,0
PERCENTKNOB duty "duty    :   %4.0f %%" "" 0 100 1 50 ;=75,1350,80,0
LFO lfo adc-null sweepfreq-out 0 sweepwave-out sweepduty-out 0 ;=200,825,80,0
OSCILLATOR osc lfo-out freq-out mod-out wave-out duty-out ;=300,825,80,0
KNOB OscTrimKnob "oscLvl: %4.1f dB" "" -24 0 0.1 -5.9995 ;=300,950,80,0
GAIN OscTrim osc-out OscTrimKnob-out ;=425,825,80,0
SCOPE scope1 distSwitch-out distSwitch-out 119 41 0 2 10 2 1 ;=2875,1175,80,0
SPECTRUM spectrum distSwitch-out 119 41 1 0 0 1 1 4 1023.9999 ;=3150,900,80,0
TAIL allan@wholecheese.com
