HEADM adc 2 2 stereomixer-left stereomixer-right "Leslie with Preamp" Empty 2 Leslie-obj info-obj ;=425,65425,100,0
MENUPAGE Leslie Leslie Leslie 8 radius-obj speed-obj spread-obj depth-obj distance-obj inertia-obj windAmt-obj drive-obj ;=775,575,100,0
TEXTBLOCK info 10 "Physical model of a Leslie speaker" "radius = length of the horn" "speed = how fast it rotates" "spread = left-right pan" "depth = front-back volume" "distance = how far away is the center" "inertia = how quickly can speed change" "wind = mic too close to the horn?" "drive = preamp level/distortion" "mono in, stereo out" ;=1175,525,100,0
C_RANDOM c_random 1 1 500 0 2000 ;=375,725,100,0
KNOB inertia "inertia: %.2f" inertia 0.01 1 0.01 0.05 ;=900,750,100,0
KNOB speed "speed: %.2f Hz" speed 0 12 0.1 0.5 ;=375,125,100,0
KNOB radius "radius: %.2f '" radius 0.01 2 0.01 0.75 ;=500,325,100,0
PERCENTKNOB depth "depth:%.0f %%" depth -100 100 1 60 ;=625,525,100,0
PERCENTKNOB windAmt "wind:%.0f " wind 0 100 1 5 ;=250,700,100,0
C_DIVIDE c_divide c_random-rand1 -1000 ;=500,725,100,0
C_ADDER c_adder3 2 speed-out c_divide-out ;=625,725,100,0
C_DIVIDE c_divide1 inertia-out 10 ;=375,225,100,0
C_ADDER c_adder2 2 c_divide1-out 0.005 ;=625,625,100,0
C_ADDER c_adder1 2 c_multiply1-out 0.1 ;=900,275,100,0
C_ADDER c_adder 2 c_multiply-out 0.1 ;=900,175,100,0
C_SMOOTH c_smooth1 c_adder3-out c_adder2-out ;=900,375,100,0
C_MULTIPLY c_multiply2 depth-out -1 ;=625,425,100,0
PERCENTKNOB spread "spread:%.0f %%" spread -100 100 1 80 ;=775,475,100,0
C_MULTIPLY c_multiply radius-out 1.13 ;=500,125,100,0
C_MULTIPLY c_multiply1 radius-out 1.2 ;=500,225,100,0
C_SMOOTH c_smooth speed-out c_divide1-out ;=375,325,100,0
C_TO_A c_to_a c_multiply2-out ;=625,325,100,0
C_TO_A c_to_a1 spread-out ;=775,375,100,0
SLFO sin adc-null adc-null c_smooth-out 0.1 0 0.5 1 0.1 0 0 ;=375,425,100,0
SLFO cos sin-sync adc-null 0 0.1 0 0.5 1 0.1 90 1 ;=500,425,100,0
ADD mono adc-in1 adc-in2 ;=125,25,100,0
FILTER hipass ampmod-out 750 1 2 ;=250,250,100,0
FILTER lopass ampmod-out 750 1 0 ;=250,125,100,0
SUBTRACT subtract multiply-out multiply1-out ;=775,175,100,0
MULTIPLY multiply add2-out c_to_a-out ;=650,225,100,0
MULTIPLY multiply1 cos-out c_to_a1-out ;=775,275,100,0
C_TO_A c_to_a3 0 ;=1175,425,100,0
C_TO_A c_to_a2 0 ;=1025,375,100,0
SLFO sin1 adc-null adc-null c_smooth1-out 0.1 0 0.5 1 0.1 0 0 ;=900,475,100,0
SLFO cos1 sin1-sync adc-null 0 0.1 0 0.5 1 0.1 90 1 ;=1025,475,100,0
MULTIPLY multiply3 add5-out c_to_a2-out ;=1025,275,100,0
MULTIPLY multiply2 cos1-out c_to_a3-out ;=1175,325,100,0
ADD add1 multiply3-out multiply2-out ;=1025,175,100,0
SUBTRACT subtract1 multiply3-out multiply2-out ;=1175,225,100,0
MICRODELAY microdelay1 25 lopass-out sqrt1-out c_adder1-out c_adder-out ;=900,50,100,0
AMPMOD L-out1 microdelay1-out add1-out 1 1 ;=1025,50,100,0
AMPMOD R-out1 microdelay1-out subtract1-out 1 1 ;=1175,100,100,0
ADD add multiply-out multiply1-out ;=625,125,100,0
MICRODELAY microdelay 25 mix-out sqrt-out c_multiply1-out c_multiply-out ;=500,0,100,0
AMPMOD L-out microdelay-out add-out 1 1 ;=625,0,100,0
AMPMOD R-out microdelay-out subtract-out 1 1 ;=775,50,100,0
STEREOMIXER stereomixer 4 L-out-out R-out-out L-out1-out R-out1-out -2 -2 -2 -2 -1 1 -1 1 ;=1300,25,100,0
REMOTER speed1 1030 1 -5632 256 0 64 -16614.4061 16704 12 0 ;"" ;=275,1025,100,0
 ;"" ;0 ;"" ;=350,25,100,0"
MIX mix1 mono-out ampmod1-out -1 -.5 ;=125,275,100,0
AMPMOD ampmod1 mono-out mono-out 1 1 ;=125,400,100,0
PERCENTKNOB drive "drive: %.0f %%" drive 0 100 1 5 ;=125,525,100,0
AMPMOD ampmod mono-out mix1-out drive-out 0.5 ;=125,150,100,0
NOISE wind ;=150,825,100,0
MIX mix hipass-out wind-out 0.998 c_multiply4-out ;=250,375,100,0
C_MULTIPLY c_multiply3 c_smooth-out windAmt-out ;=250,600,100,0
C_MULTIPLY c_multiply4 c_multiply3-out 0.002 ;=250,500,100,0
KNOB distance "distance: %.1f*rad" distance 1.1 10 0.1 2 ;=175,925,100,0
C_DIVIDE c_divide2 1 c_adder4-out ;=400,825,100,0
SCALE scale sin-out c_divide2-out ;=625,825,100,0
CONSTANT constant -1 ;=300,925,100,0
SUBTRACT 1-sine add3-out scale-out ;=550,925,100,0
SUBTRACT 1-sine1 add3-out scale2-out ;=1000,925,100,0
SCALE scale1 cos-out c_divide2-out ;=750,825,100,0
MULTIPLY Ysquared 1-sine-out 1-sine-out ;=650,925,100,0
MULTIPLY Xsquared scale1-out scale1-out ;=750,925,100,0
ADD Xsqr+Ysqr Xsquared-out Ysquared-out ;=850,925,100,0
SQRT sqrt Xsqr+Ysqr-out ;=850,825,100,0
SCALE scale2 sin1-out c_divide2-out ;=1050,825,100,0
SCALE scale3 cos1-out c_divide2-out ;=1175,825,100,0
MULTIPLY Ysquared1 1-sine1-out 1-sine1-out ;=1100,925,100,0
MULTIPLY Xsquared1 scale3-out scale3-out ;=1200,925,100,0
ADD Xsqr+Ysqr1 Xsquared1-out Ysquared1-out ;=1300,925,100,0
SQRT sqrt1 Xsqr+Ysqr1-out ;=1300,825,100,0
C_ADDER c_adder4 2 distance-out 1 ;=275,825,100,0
C_TO_A c_to_a4 c_divide2-out ;=400,1025,100,0
ADD add3 constant-out c_to_a4-out ;=425,925,100,0
ADD add2 add4-out sqrt-out ;=700,1025,100,0
ADD add5 add4-out sqrt1-out ;=1175,625,100,0
ADD add4 add3-out c_to_a4-out ;=525,1025,100,0
TAIL rob
